/* Customlayout CascadingStyleSheets for Layout: Stadtwerk_25_V1_0*/
/*header & footer ausblenden*/
header, footer {
    display:none;
}

@font-face{
    font-family:"DIN W01 Regular";
    src:url("../html/FF_DIN_Regular.eot?#iefix");
    src:url("../html/FF_DIN_Regular.eot?#iefix") format("eot"),url("../html/FF_DIN_Regular.woff2") format("woff2"),url("../html/FF_DIN_Regular.woff") format("woff"),url("../html/FF_DIN_Regular.ttf") format("truetype");
}
@font-face{
    font-family:"DIN W01 Medium";
    src:url("../html/FF_DIN_Medium.eot?#iefix");
    src:url("../html/FF_DIN_Medium.eot?#iefix") format("eot"),url("../html/FF_DIN_Medium.woff2") format("woff2"),url("../html/FF_DIN_Medium.woff") format("woff"),url("../html/FF_DIN_Medium.ttf") format("truetype");
}
@font-face {
    font-family: "icons";
    src: url("../html/icons.eot");
    src: url("../html/icons.eot?#iefix") format("embedded-opentype"), url("../html/icons.woff") format("woff"), url("../html/icons.ttf") format("truetype"), url("../html/icons.svg#") format("svg");
    font-weight: normal;
    font-style: normal; }
.library-icons [class^="icon-"], .library-icons [class*="icon-"] {
    font-family: "icons";
    speak: none;
    font-style: normal;
    font-weight: normal;
    font-variant: normal;
    text-transform: none;
    line-height: 1;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale; }

/*Feld eingabe Links*/
.field > input {
    text-align: left !important;
}
input, textarea, select{
    transition:0.3s ease all;
}

.block_content_container ul{
    margin: 0em 0em 1em 0em;
    list-style-image: url("../html/bullet.svg");
    padding-left:25px;
}

main#content, div#main {
    margin: 0 auto;
    width: 100%;
    min-width: 320px;
    clear: both;
    padding-top: 0.5em;
    display: block;
}

body{
    line-height:1.3em;
    padding:0px;
    margin:0px;
}

p {
    line-height: 1.5em;
    margin: 0 0 0.5em 0;
}

.block > fieldset > .legend .block-header {
    padding-left: 0em;
}

#form_pagenavigation.bullet #form_pagenavigation_list li:before{
    border: 1px solid #ff8800;
}

.controlbar_menu_item button:focus,
.controlbar_menu_item button:hover,
.controlbar_menu_item button:focus,
.controlbar_menu_item button:hover {
    background: unset !important;
    background-color: #ed5f00 !important;
    border: 1px solid #aaaaaa !important;
    color: #ffffff !important;
    text-decoration: underline !important;
}

/* Label anpassen (Text im Rahmen)*/
:not(.controltype_checkbox):not(.controltype_html)  > .cellinner > .label {
    padding-left: 0em !important;
    display: block;
    width: 100%;
    float: none;
    text-align: left;
}
.field {
    padding-left: 0em;
}

.row {
    padding: 0.5em 0em;
}

label{
    text-align: left;
    display: block;
    position: absolute;
    top: -1px;
    left: 10px;
    z-index: 1;
    background: white;
    padding-right: 0.2em !important;
    padding-left: 0.2em !important;
}

.attachedLabel > label {
    display:contents;
}

.controltype_advancedFile > .cellinner > .label > label,
.controltype_checkboxGroup > .cellinner > .label > label,
.controltype_radioGroup > .cellinner > .label > label,
.group_cell > label{
    position: relative;
    top: -1px;
    left: 10px;
    z-index: 1;
    background: white;
    padding-right: 0;
    padding-left: 5px;
}
table {
    margin-top: 1em;
}
th {
    border: 1px solid #ff8800;
}
th > label{
    position: inherit;
    text-align: center;
}

input, select {
    padding-top: 0.8em !important;
}
tr > td > input,
tr > td > select,
.repeatblock_control_bar_inputs > input {
    padding-top: 0.0em !important;
}

:focus-visible {
    outline: #ff8800;
}

/*Felder anpassen*/
.row .cell,
:not(.controltype_checkbox):not(.controltype_html) > .cellinner > .field {
    width: 100% !important;
}

.cell12 input, .cell12 select, .cell12 textarea{width:11.7%;}
.cell20 input, .cell20 select, .cell20 textarea{width:19.7%;}
.cell25 input, .cell25 select, .cell25 textarea{width:24.7%;}
.cell38 input, .cell38 select, .cell38 textarea{width:37.6%;}
.cell50 input, .cell50 select, .cell50 textarea{width:49.7%;}
.cell62 input, .cell62 select, .cell62 textarea{width:61.7%;}
.cell100 input, .cell100 select, .cell100 textarea{width:100%;}

.cell12 > .cellinner > .fieldinput_datepicker > input[type="text"].withDatepicker {max-width: calc(12% - 2.6em);}
.cell20 > .cellinner > .fieldinput_datepicker > input[type="text"].withDatepicker {max-width: calc(20% - 2.6em);}
.cell25 > .cellinner > .fieldinput_datepicker > input[type="text"].withDatepicker {max-width: calc(25% - 2.6em);}
.cell38 > .cellinner > .fieldinput_datepicker > input[type="text"].withDatepicker {max-width: calc(38% - 2.6em);}
.cell50 > .cellinner > .fieldinput_datepicker > input[type="text"].withDatepicker {max-width: calc(50% - 2.6em);}
.cell62 > .cellinner > .fieldinput_datepicker > input[type="text"].withDatepicker {max-width: calc(62% - 2.6em);}
.cell100 > .cellinner > .fieldinput_datepicker > input[type="text"].withDatepicker {max-width: calc(100% - 2.6em);}

.withInfo > .cellinner > .fieldinput_datepicker > input{ 	width: calc(100% - 5em);}


.label_required {
text-decoration: none;
}

select {
    padding-bottom: 0.7em !important;
}

#form_pagenavigation_list > li.pageNrAll {
    min-width: 1% !important;
}

input[type="text"].withDatepicker {
	height: auto;
}
.field button.datepicker{
    height: 2.7em;
}
button.datepicker {
    background: #dddddd !important;
    border-color: #cccccc !important;
}

.controlbar_group.controlbar_main_group > .controlbar_button > #previous {
	margin-right:0.66em;
}

/* Button "Abbrechen" ausblenden start */
#cancel {
    display: none;
}
/* Button "Abbrechen" ausblenden end */

/* Button "Weitere ..." ausblenden start*/
#controlbar > div.controlbar_menu > button {
    display: none;
}
/* Button "Weitere ..." ausblenden end*/

/* Footer / Buttons anpasssen */
#controlbar .controlbar_button, #controlbar .controlbar_menu, footer{display:none;}
#confirmation .controlbar_button {display:block;}
#controlbar .controlbar_group .controlbar_button{display:inline-block; margin-right:0em;}

.confirmation #controlbar .controlbar_button .default_action {
    padding-top: 0em;
    padding-bottom: 0em;
    margin-top: 0em;
}

.confirmation .controlbar_button.controlbar_main_button #send{
    padding: 0.5em 0.66em !important;
}
#controlbar button {
    border-radius: 0em;
}

/* Abschluss-Seite Start */
.finishedWrapper{
    background-color:#fff;
    padding:0px;
}
.finishedWrapper #adressat .cm_label{
    margin-bottom:1em;
    font-size:1.17em;
    font-weight:bold;
}
/* Abschlus-Seite End */

/*Mobile ansicht*/
@media (max-width: 900px) {
    label{
    position: relative;
    top: 10px;
    width: fit-content;
    }
    .controltype_checkbox.labelAttach label{
        top:0px;
        left: 25px;
    }
    .controltype_advancedFile.labelAttach label{
        top:0px;
        left: 25px;
    }
    .controltype_radioGroup.labelAttach label{
        top:0px;
        left: 25px;
    }
    #form_pagenavigation_list > li.pageNrAll {
	    min-width: 11% !important;
    }
    .labelAttach .cellinner > .label {
        display: none;
    }
    .labelAttach .field {
        display: block;
    }
    .labelAttach > .cellinner > .field > .attachedLabel > label {
	    width: unset;
	    position: absolute;
    }

   .controlbar_button_longText {
	margin-left: 0.15em;
   	margin-right: 0.15em;
    }
    .withInfo > .cellinner > .field > input,
    .withInfo > .cellinner > .field > select {
        width: 100% !important;
    }
}
@media (max-width: 550px) {
    .fieldinput_datepicker > input[type="text"].withDatepicker {
        max-width: calc(100% - 2.6em) !important;
    }
}

#cm_form_data .cm_value {
    word-wrap: break-word;
    word-break: break-word;
}
#cm_form_data.cm_simpleLabelValue {
    word-wrap: break-word;
    word-break: break-word;
}

/*Navigator anpassen*/
#form_pagenavigation.bullet #form_pagenavigation_list li div button span {
	position: relative;
	top: -2em;
	padding-left: 1.5em;
}

#form_pagenavigation.bullet #form_pagenavigation_list li.pageNrAll div span {
    font-family: DIN W01 Regular, Arial,sans-serif;
}

#form_pagenavigation.bullet #form_pagenavigation_list li:before {
	line-height: 2em;
	width: 2em;
}

#form_pagenavigation.bullet #form_pagenavigation_list li div:before,
#form_pagenavigation.bullet #form_pagenavigation_list li div:after {
	top: calc(1.7em + 1.7em / 3);
}

/*Checkboxen nach innen rücken*/
.controltype_checkboxGroup > .cellinner > div.field,
.labelAttach > .cellinner > div.field{
	margin-left: 1em !important;
}

abbr[title] {
	text-decoration:none !important;
}

label {
	max-width: calc(100% - 20px);
}

.infoI {
    z-index:1;
}
/*Info I anpassen*/
.controltype_checkbox:not(.valueLabel):not(.labelAttach) .field {
	padding-left: 2px;
}
.controltype_advancedFile:not(.labelAttach) .info,
.controltype_checkbox:not(.labelAttach) .info {
	padding-left: 0.5em;
}
.withInfo:not(.labelAttach) .required,
.withInfo:not(.labelAttach) .disabled,
.withInfo:not(.labelAttach) label {
	width: auto !important;
}
.withInfo:not(.labelAttach) .required + .info,
.withInfo:not(.labelAttach) .disabled + .info,
.withInfo:not(.labelAttach) label + .info {
	padding-left:1em;
}
